<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtquick-app-tutorial.qdoc -->
  <title>Creating a Qt Quick Application | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Creating a Qt Quick Application</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-tutorials.html" />
  <link rel="next" href="creator-writing-program.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-tutorials.html">Tutorials</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-writing-program.html">Creating a Qt Widget Based Application</a>
</p><p/>
<h1 class="title">Creating a Qt Quick Application</h1>
<span class="subtitle"></span>
<pre class="cpp">

  QT += quick
  CONFIG += c++11

  # The following define makes your compiler emit warnings if you use
  # any feature of Qt which as been marked deprecated (the exact warnings
  # depend on your compiler). Please consult the documentation of the
  # deprecated API in order to know how to port your code away from it.
  DEFINES += QT_DEPRECATED_WARNINGS

  # You can also make your code fail to compile if you use deprecated APIs.
  # In order to do so, uncomment the following line.
  # You can also select to disable deprecated APIs only up to a certain version of Qt.
  #DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

  SOURCES += main.cpp

  RESOURCES += qml.qrc

  # Additional import path used to resolve QML modules in Qt Creator's code model
  QML_IMPORT_PATH =

  # Additional import path used to resolve QML modules just for Qt Quick Designer
  QML_DESIGNER_IMPORT_PATH =

  # Default rules for deployment.
  qnx: target.path = /tmp/$${TARGET}/bin
  else: unix:!android: target.path = /opt/$${TARGET}/bin
  !isEmpty(target.path): INSTALLS += target

</pre>
